Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class WebSecurityMetaData.WebResourceCollection

    java.lang.Object
      org.jboss.metadata.WebSecurityMetaData.WebResourceCollection

Enclosing class:
  WebSecurityMetaData

public static class WebSecurityMetaData.WebResourceCollection
extends Object

The security-constraint/web-resource-collection child element container

Constructor Summary
`WebSecurityMetaData.WebResourceCollection(String name)`

Method Summary
`void` | `addHttpMethod(String method)`
`void` | `addPattern(String pattern)`
`String[]` | `getHttpMethods()` The optional security-constraint/web-resource-collection/http-method
`String[]` | `getMissingHttpMethods()` Return the http methods that were not specified in the collection.
`String` | `getName()`
`String[]` | `getUrlPatterns()` Get the url-patterns specified in the resource collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebSecurityMetaData.WebResourceCollection

    public WebSecurityMetaData.WebResourceCollection(String name)

Method Detail

### getName

    public String getName()

### addPattern

    public void addPattern(String pattern)

### getUrlPatterns

    public String[] getUrlPatterns()

  Get the url-patterns specified in the resource collection.

  Returns:

### addHttpMethod

    public void addHttpMethod(String method)

### getHttpMethods

    public String[] getHttpMethods()

  The optional security-constraint/web-resource-collection/http-method

  Returns:
    empty for all methods, a subset of GET, POST, PUT, DELETE, HEAD, OPTIONS, TRACE otherwise

### getMissingHttpMethods

    public String[] getMissingHttpMethods()

  Return the http methods that were not specified in the collection. If there were a subset of the ALL_HTTP_METHODS given, then this method returns the ALL_HTTP_METHODS - the subset. If no or all ALL_HTTP_METHODS were specified this return an empty array.

  Returns:
    empty for all methods, a subset of GET, POST, PUT, DELETE, HEAD, OPTIONS, TRACE otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.